Skip to main content

Endpoint

POST /oauth/token Use this endpoint to refresh an Access Token using the Refresh Token you got during authorization.

Learn More

Headers

DPoP
string
A DPoP proof for the request. This is optional and only required if your application uses Demonstrating Proof-of-Possession.

Body Parameters

The request body is in application/x-www-form-urlencoded format.
grant_type
string
required
Specifies the flow being used. For refreshing an access token, this must be set to refresh_token.Allowed values: refresh_token
client_id
string
required
The Client ID of your application, which identifies the application making the request.
client_secret
string
The Client Secret of your application. Required when the Token Endpoint Authentication Method is set to Post or Basic.
refresh_token
string
required
The refresh token that was previously issued to the client. This token is used to obtain a new access token.
scope
string
A space-delimited list of requested scope permissions. If omitted, the original scopes will be used; otherwise, you can request a reduced set of scopes. Note that this must be URL encoded.

Response Schema

Response Messages